// import axios from "axios";

import FetchWrapper from "../utils/FetchWapper";

export const schema = [
  { name: 'title', label: '标题', type: 'input' },
  { name: 'body', label: '内容', type: 'input' },
  { name: 'jumpHerf', label: '跳转链接', type: 'input' },
  { name: 'btnText', label: '按钮内容', type: 'input' },
  { name: 'btnHref', label: '按钮链接', type: 'input' },
]

export type cardType = {
  title?: string | null
  body?: string | null
  jumpHerf?: string | null
  imgSrc?: string | null
  imgAlt?: string | null
  btnText?: string | null
  btnHref?: string | null
};

export function getDatas(url: string, cards: cardType[]) {
  FetchWrapper.fetch(url, { timeout: 3000 })
    .then(response => {
      if (!response.ok) {
        // throw new Error(`HTTP error! status: ${response.status}`);
        return null;
      }
      return response.json();
    }).then(jsonData => {
      if (!jsonData) {
        return null;
      }
      cards.length = 0;
      jsonData.datas.forEach((i: cardType) => {
        const item = { ...jsonData.default_item, ...i }
        cards.push({
          title: item.title,
          body: item.intro,
          jumpHerf: item.url
        })
      })
    })
    .catch(error => {
      console.error('Error fetching data:', error);
    });
}

function setData() {

}