import { createRouter, createWebHistory } from "vue-router";
import cardRoute from "./card";
import noteRoute from "./note";

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      name: "root",
      path: "/",
      redirect: "/home",
    },
    {
      name: "home",
      path: "/home",
      component: () => import("@/pages/Home.vue"),
    },
    {
      name: "files",
      path: "/files",
      component: () => import("@/pages/Files.vue"),
    },
    {
      name: "users",
      path: "/users",
      component: () => import("@/pages/Users.vue"),
    },
    cardRoute(),
    // noteRoute(),
    // {
    //   name: "noteShower",
    //   path: "/note/:note_name/:token?",
    //   component: () => import("@/pages/NoteShower.vue"),
    //   props: true,
    //   // props(route) {
    //   //   return {
    //   //     ...route.params
    //   //   }
    //   // },
    // },
    {
      name: 'notFound',
      path: "/:any*", // 使用正则表达式匹配所有路径
      component: () => import('@/pages/ErrorPage.vue'),
      props() {
        return { statusCode: 404 }
      },
    },
  ],
});

export default router