import { type RouteRecordRaw } from "vue-router";
import { file_api } from "./config.json";

export function getNoteUrl(path: string = file_api.cards.home, query: Record<string, string> = {}): string {
  const url = new URL(window.location.origin);
  url.pathname = `${file_api.root_url}/${file_api.notes.url}/${path}`;
  
  url.searchParams.set('type', file_api.notes.type);
  Object.entries(query).forEach(([key, value]) => {
    url.searchParams.set(key, value);
  })
  return url.toString();
};

export default function noteRoute(): RouteRecordRaw {
    return {
      name: "cardShower",
      path: "/note/:pages_path*",
      component: () => import("@/pages/NoteShower.vue"),
      props(to) {
      const path = Array.isArray(to.params.pages_path)
      ? to.params.pages_path.join("/")
      : to.params.pages_path;

        return {
          ...to.params,
          path,
        url: getNoteUrl(path, to.query as Record<string, string>),
        }
      },
    }
}